Skip to main content

private/get-currency-networks

POST 

/private/get-currency-networks

Get the symbol network mapping.

Request

Body

required
    id int64required

    Request id (echoed in response)

    method stringrequired

    Must be "private/get-currency-networks"

    api_key stringrequired

    Your API key (only required for private REST)

    sig stringrequired

    HMAC-SHA256 signature in hex (only required for private REST)

    nonce int64required

    Current timestamp in milliseconds, e.g. "1771761038000".

    params objectrequired
    No parameters; use empty object
Success.
Schema
    id int64

    Echoed request id

    method string

    Method invoked

    code int32

    0 = success; non-zero indicates error (reason code).

    result object
    Present when code === 0. update_time, currency_map (full_name, default_network, network_list).
    update_time int64

    Last update timestamp (ms).

    currency_map object
    Map of currency code to currency network info.
    property name* object
    full_name string

    E.g. SHIBA INU.

    default_network string

    If network is not provided in create-withdrawal, this is used when more than one network is available.

    network_list object[]
    List of networks for this currency.
  • Array [
  • network_id string

    Network id; can be used in create-withdrawal.

    withdrawal_fee decimal

    Withdrawal fee.

    withdraw_enabled boolean

    Whether withdrawal is enabled.

    min_withdrawal_amount decimal

    Minimum withdrawal amount.

    deposit_enabled boolean

    Whether deposit is enabled.

    confirmation_required int32

    Confirmation blocks count.

  • ]
  • message string

    Present when code !== 0.

    original string

    Present when code !== 0.